Cannot find module 'etch'


#1

I’m using julia at Atom enviroment and when I open atom client, this error pops up:

Cannot find module 'etch'

Error: Cannot find module 'etch'
    at Module._resolveFilename (module.js:543:15)
    at Module._resolveFilename (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\electron.asar\common\reset-search-paths.js:35:12)
    at Function.get_Module._resolveFilename (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:154368)
    at Module.require (file:///C:/Users/Sympla/AppData/Local/atom/app-1.32.2/resources/app.asar/static/index.js:40:43)
    at require (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:145675)
    at Object.<anonymous> (file:///C:/Users/Sympla/.atom/packages/ink/lib/ink.coffee:2:8)
    at Object.<anonymous> (file:///C:/Users/Sympla/.atom/packages/ink/lib/ink.coffee:1:1)
    at Object.<anonymous> (file:///C:/Users/Sympla/.atom/packages/ink/lib/ink.coffee:1:1)
    at Module.get_Module._compile (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:146385)
    at Object.value [as .coffee] (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:149932)
    at Module.load (module.js:561:32)
    at tryModuleLoad (module.js:504:12)
    at Function.Module._load (module.js:496:3)
    at Module.require (file:///C:/Users/Sympla/AppData/Local/atom/app-1.32.2/resources/app.asar/static/index.js:47:45)
    at require (internal/module.js:11:18)
    at customRequire (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:1:623185)
    at Package.requireMainModule (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3044548)
    at Package.activateNow (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3032682)
    at measure (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3032460)
    at Package.measure (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3030091)
    at activationPromise.activationPromise.Promise (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3032320)
    at new Promise (<anonymous>)
    at Package.activate (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:3032263)
    at PackageManager.activatePackage (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:379950)
    at config.transactAsync (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:379566)
    at Config.transactAsync (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:329753)
    at PackageManager.activatePackages (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:379516)
    at PackageManager.activate (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:11:379134)
    at t.loadState.then (C:\Users\Sympla\AppData\Local\atom\app-1.32.2\resources\app\static\<embedded>:1:644595)
    at <anonymous>

It says that the error was thrown from the ink package.

Versions:

ink - 0.9.12
julia-client - 0.7.10
language-julia - 0.18.0
uber-juno 0.2.0


#2

Looks like something went wrong while installing ink. Try closing Atom and type

apm uninstall ink
apm install ink

into a terminal.